import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class ColumnTitleWidget extends StatelessWidget {
  final bool isFirst;
  final bool isLast;
  final String title;
  const ColumnTitleWidget({
    super.key,
    required this.title,
    required this.isFirst,
    required this.isLast,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
        alignment: Alignment.centerLeft,
        padding: const EdgeInsets.only(left: 10),
        decoration: BoxDecoration(
          color: ColorsManager.graysColor,
          borderRadius: isFirst
              ? const BorderRadius.only(
                  topLeft: Radius.circular(12),
                )
              : isLast
                  ? const BorderRadius.only(
                      topRight: Radius.circular(12),
                    )
                  : null,
        ),
        child: Text(
          title,
          style: const TextStyle(
            color: ColorsManager.grayColor,
            fontSize: 12,
          ),
        ));
  }
}
